#!/bin/sh
#
# $FreeBSD: ports/dns/maradns/files/rc_d.sh,v 1.2 2004/07/29 20:53:08 pav Exp $
#

# PROVIDE: zoneserver
# REQUIRE: SERVERS
# BEFORE: DAEMON
# KEYWORD: FreeBSD shutdown
#
# NOTE for FreeBSD 5.0+:
# If you want this script to start with the base rc scripts
# move zoneserver.sh to /etc/rc.d/zoneserver

prefix=/usr/local

# Define these zoneserver_* variables in one of these files:
#	/etc/rc.conf
#	/etc/rc.conf.local
#	/etc/rc.conf.d/zoneserver
#
# DO NOT CHANGE THESE DEFAULT VALUES HERE
#
zoneserver_enable=${zoneserver_enable-"NO"}
# zoneserver_flags can be something like "-f /path/alternate_rc"

. /etc/rc.subr

name="zoneserver"
rcvar=`set_rcvar`
command="${prefix}/sbin/${name}"
command_args="| /usr/bin/logger -p daemon.notice -t zoneserver &"

load_rc_config $name

flags="${zoneserver_flags}"

run_rc_command "$1"
